Prompt = require("prompt")
Request = require("request")
Utils = require("../utils")
Cookie = require("cookie")

API_URL = process.env.RO_API_URL

module.exports = ->
   Request {
      url: "#{API_URL}/setup-company"
      method: "POST"
      body: {
         name: "Choam Inc."
         street_address: "1712 Main St"
         city: "Kansas City"
         state: "Missouri"
         zipcode: "64108"
         phone: "9132712346"
         admin: {
            first_name: "Hunter"
            last_name: "Browning"
            email: "hunter@admin.com"
            password: "asd"
         }
      }
      json: true
   }, (err, res, body) ->
      throw err if err
      Utils.printResponse(res, body)
