#!/usr/bin/env node
require('coffee-script/register');

var program = require('commander');

program
   .command('createuser')
   .action(function () {
      require("./src/commands/create-user")()
   })

program
   .command('createcase')
   .action(function () {
      require("./src/commands/create-case")()
   })

program
   .command('addcontributor')
   .action(function () {
      require("./src/commands/add-contributor")()
   })

program
   .command('createactivity')
   .action(function () {
      require("./src/commands/create-activity")()
   })

program
   .command('createcomment')
   .action(function () {
      require("./src/commands/create-comment")()
   })

program
   .command('createredaction')
   .action(function () {
      require("./src/commands/create-redaction")()
   })

program
   .command('createcustodian')
   .action(function () {
      require("./src/commands/create-custodian")()
   })

program
   .command('upload <path>')
   .action(function (path) {
      require("./src/commands/upload")(path)
   })

program
   .command('setupdevdata')
   .action(function (path) {
      require("./src/commands/setup-dev-data")()
   })

program
   .command('setupcompany')
   .action(function (path) {
      require("./src/commands/setup-company")()
   })


program.parse(process.argv);
